import { Observable } from '@nativescript/core';
export declare class ImageAsset extends Observable {
    _native: any;
    _android: any;
    get native(): any;
    constructor(native?: any);
    get width(): any;
    get height(): any;
    get error(): string;
    fromUrlSync(url: string): boolean;
    private _incrementStrongRef;
    private _decrementStrongRefAndRemove;
    private emitComplete;
    fromUrl(url: string): Promise<unknown>;
    fromFileSync(path: string): boolean;
    fromFile(path: string): Promise<unknown>;
    loadFromBytesSync(bytes: Uint8Array | Uint8ClampedArray): any;
    loadFromBytes(bytes: Uint8Array | Uint8ClampedArray): Promise<unknown>;
    scale(x: number, y: number): void;
    saveSync(path: string, format: ImageAssetSaveFormat): boolean;
    save(path: string, format: ImageAssetSaveFormat): Promise<boolean>;
    flipX(): void;
    flipY(): void;
}
export declare enum ImageAssetSaveFormat {
    JPG = 0,
    PNG = 1,
    ICO = 2,
    BMP = 3,
    TIFF = 4
}
